Library Version 18.1.40

DB_SEQUENCE->stat_print()
Prev | Chapter 11. The DB_SEQUENCE Handle | Next

## DB_SEQUENCE->stat_print()

    #include <db.h>

    int
    DB_SEQUENCE->stat_print(DB_SEQUENCE *db, u_int32_t flags);

The `DB_SEQUENCE->stat_print()` method prints diagnostic information to the output channel described by the DB_ENV->set_msgfile() method.

The `DB_SEQUENCE->stat_print()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### flags

The flags parameter must be set by bitwise inclusively OR'ing together one or more of the following values:

- `DB_STAT_ALL`

  Display all available information.

- `DB_STAT_CLEAR`

  Reset statistics after printing their values.

### Class

DB_SEQUENCE

### See Also

Sequences and Related Methods

Prev | Up | Next
DB_SEQUENCE->stat() | Home | Chapter 12. The DB_TXN Handle